OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::dsp::ProcessorBase Struct Referenceabstract

`#include <juce_ProcessorWrapper.h>`

Inheritance diagram for juce::dsp::ProcessorBase:

## Public Member Functions
virtual void | prepare (const ProcessSpec &)=0
virtual void | process (const ProcessContextReplacing< float > &)=0
virtual void | reset ()=0

## Detailed Description

Acts as a polymorphic base class for processors. This exposes the same set of methods that a processor must implement as virtual methods, so that you can use the ProcessorWrapper class to wrap an instance of a subclass, and then pass that around using ProcessorBase as a base class.

See also
  ProcessorWrapper

Definition at line 38 of file juce_ProcessorWrapper.h.

The documentation for this struct was generated from the following file:

- juce_ProcessorWrapper.h